function in_array(needle, haystack){
    for(var key in haystack){
        if(needle === haystack[key]){
            return true;
        }
    }
    return false;
}

function customLogicOneField(self) {

    //#########КРЕДИТ ДЛЯ ФИЗЛИЦ###########
    if ($('body').hasClass('bank_live get_credit')) {
        //Срок кредита
        if ($(self).hasClass('getCreditSrok')) {
            if ($('#srokText').val() != '' && $('#radio_srok_3').is(':checked')) {
                $('.sectionHeading', self).text($('#srokText').val() + ' ' + declOfNum($('#srokText').val(), ['месяц', 'месяца', 'месяцев']));
            }
            else {
                $('.sectionHeading', self).text($('input[type=radio]:checked', self).val());
            }
        }
        //Место получения
        if ($(self).hasClass('getCreditPlace')) {
            $('.sectionHeading', self).text($('input:checked', self).val());
            if ($('input:checked', self).val() == 'Доставка на дом') {
                $('.getVkladFilial').removeClass('show').addClass('hidden').hide();
            }
            else {
                $('.getVkladFilial').addClass('show');
            }
        }
        //Цель
        if ($(self).hasClass('getCreditCel')) {
            $('.sectionHeading', self).text($('input[type=radio]:checked', self).val());
            $('#getCreditStep1Submit').removeClass('dsbld');

        }
    }
    //#########КРЕДИТ ДЛЯ ЮРЛИЦ###########
    if ($('body').hasClass('bank_business get_credit anketa')) {
        //Срок кредита
        if ($(self).hasClass('getCreditSrok')) {
            $('.sectionHeading', self).text($('.inputWrapper .inputInner input', self).val());
            $('#getCreditStep1Submit').removeClass('dsbld');
        }
    }
    //#########ВКЛАД ДЛЯ ЮЛ###########
    if ($('body').hasClass('bank_open_vklad  bank_business anketa')) {
        //Выслать курьера?
        if ($(self).hasClass('getVkladCura')) {
            $('.sectionHeading', self).text($('input:checked', self).val());
            if ($('input:checked', self).val() == 'Выслать курьера за документами') {
                $('.getAddress').addClass('show').insertBefore('.getVkladFilial');
                $('.getVkladFilial').removeClass('show').addClass('hidden').hide();
            }else {
                $('.getAddress').removeClass('show').addClass('hidden').hide();
                $('.getVkladFilial').addClass('show').insertBefore('.getAddress');;
            }
        }
    }
    //#########КРЕДИТНЫЕ КАРТЫ ДЛЯ ФЛ###########
    if ($('body').hasClass('bank_live cards_page kredit anketa')) {
        //Место получения
        if ($(self).hasClass('getCreditPlace')) {
            $('.sectionHeading', self).text($('input:checked', self).val());
            if ($('input:checked', self).val() == 'Доставка на дом') {
                $('.getVkladFilial').removeClass('show').addClass('hidden').hide();
                delivery = 'yes';
            }
            else {
                delivery = 'no';
                $('.getVkladFilial').addClass('show');
            }
            $.post('/scripts?mode=getCitiesJsonForProduct', {delivery: delivery}, function(data) {
                autocompleteDataCity = JSON.parse(data);
                $('.section.getCreditCity input').autocomplete({
                    source: autocompleteDataCity,
                    appendTo: "#autocompleteDataCityResult",
                    delay: 0,
                    position: {
                        my: "left top"
                    }
                });
                var cityName = $('.section.getCreditCity input').val();
                var i = 0;
                for (e in autocompleteDataCity) {
                    if (autocompleteDataCity[e].label == cityName)
                        i = 1;
                }
                if (i == 0) {
                    $('.section.getCreditCity input').val('');
                    $('#errorCity .query').hide();
                    $('#errorCity .alert').show();
                    $('#errorCity .alert u').text('К сожалению, мы не можем предоставить выбранную услугу в вашем населённом пункте. Для получения услуги выберите наиболее удобный пункт из списка.');
                }
            });
        }
    }
    //#########ИНТЕРНЕТ БАНК ДЛЯ ФЛ###########
    if ($('body').hasClass('other_pages others_mobile bank_live internetBank')) {
        //Нужна доставка?
        if ($(self).hasClass('getInternetShiping')) {
            $('.sectionHeading', self).text($('input[type=radio]:checked', self).val());
        }
    }
    //#########ИНТЕРНЕТ БАНК ДЛЯ ЮЛ###########
    if ($('body').hasClass('other_pages for_biz others_mobile bank_business anketa')) {
        //Нужна доставка?
        if ($(self).hasClass('getInternetShiping')) {
            $('.sectionHeading', self).text($('input[type=radio]:checked', self).val());
        }

    }
    //#########ЗАЯВКА Корпоративная карта corporate-korporativnaya-karta/###########
    if ($('body').hasClass('cards_page bank_business corpCards')) {
        //Выслать курьера?
        if ($(self).hasClass('getInternetShiping')) {
            $('.sectionHeading', self).text($('input:checked', self).val());
            if ($('input:checked', self).val() == 'Выслать курьера') {
                $('.getAddress').addClass('show').insertBefore('.getVkladFilial');
                $('.getVkladFilial').removeClass('show').addClass('hidden').hide();
            }else {
                $('.getAddress').removeClass('show').addClass('hidden').hide();
                $('.getVkladFilial').addClass('show').insertBefore('.getAddress');;
            }
        }

    }
    
    //#########ЗАЯВКА НА ОТКРЫТИЕ И ВЕДЕНИЕ СЧЕТА###########
    if ($('body').hasClass('cards_page bank_business anketarko')) {
        //Выслать курьера?
        if ($(self).hasClass('getInternetShiping')) {
            $('.sectionHeading', self).text($('input:checked', self).val());
            if ($('input:checked', self).val() == 'Выслать курьера') {
                $('.getAddress').addClass('show').insertBefore('.getVkladFilial');
                $('.getVkladFilial').removeClass('show').addClass('hidden').hide();
            }else {
                $('.getAddress').removeClass('show').addClass('hidden').hide();
                $('.getVkladFilial').addClass('show').insertBefore('.getAddress');;
            }
        }

    }

    //Обработка одинаковых полей
    //Тип карты?
    if ($(self).hasClass('getCardsCardType')) {
        $('.sectionHeading', self).text($('input[type=radio]:checked', self).val());
    }
    //ИП
    if ($(self).hasClass('getCreditOrgName')) {
        $('.sectionHeading', self).text($('.inputWrapper .inputInner input', self).val());
    }
    //Фамилия
    if ($(self).hasClass('getCreditFamily')) {
        $('.sectionHeading', self).text($('.inputWrapper .inputInner input', self).val());
    }
    //Имя
    if ($(self).hasClass('getCreditName')) {
        $('.sectionHeading', self).text($('.inputWrapper .inputInner input', self).val());
    }
    //Отчество
    if ($(self).hasClass('getCreditSecName')) {
        $('.sectionHeading', self).text($('.inputWrapper .inputInner input', self).val());
    }
    //Дата рождения
    if ($(self).hasClass('getVkladBirthDate')) {
        $('.sectionHeading', self).text($('.inputWrapper .inputInner input', self).val());
    }
    //Мобильный телефон
    if ($(self).hasClass('getCreditMobile')) {
        $('.sectionHeading', self).text($('.inputWrapper .inputInner input', self).val());
    }
    //Домашний телефон
    if ($(self).hasClass('getCreditHomePhone')) {
        if ($('.inputWrapper .inputInner input', self).val() != '')
            $('.sectionHeading', self).text($('.inputWrapper .inputInner input', self).val());
    }
    //E-mail
    if ($(self).hasClass('getCreditEmail')) {
        if ($('.inputWrapper .inputInner input', self).val() != '')
            $('.sectionHeading', self).text($('.inputWrapper .inputInner input', self).val());
    }
    //Количество сотрудников
    if ($(self).hasClass('getCardPersonalCount')) {
        $('.sectionHeading', self).text($('.inputWrapper .inputInner input', self).val());
    }
    //Населенный пункт
    if ($(self).hasClass('getCreditCity')) {
        $('.sectionHeading', self).text($('.inputWrapper .inputInner input', self).val());
        if ($('body').hasClass('bank_business get_credit anketa')) {
            var summ = $('.getCreditSumm input[name=summ]').val();
            if (summ > 1500000)
                summ = 'after';
            else
                summ = 'before';
            $.post('/scripts?mode=getBranchesRadioForProduct', {
                cname: $('.inputWrapper .inputInner input', self).val(), summ: summ
            }, function(data) {
                $('.getVkladFilial .inputInner').html(data).children('input').iCheck();
                $('.getVkladFilial .inputInner input').on('ifChecked', function() {
                    $(this).parents('.inputInner').children('.radioLabel').removeClass('checkedLabel');
                    $(this).parent('.iradio').next().addClass('checkedLabel');
                    var prnt = $(this).parents('.section');
                    $('.iconProgressSubmit', prnt).click();
                });
            });
        } else {
            $.post('/scripts?mode=getBranchesRadioForProduct', {
                cname: $('.inputWrapper .inputInner input', self).val()
            }, function(data) {
                $('.getVkladFilial .inputInner').html(data).children('input').iCheck();
                $('.getVkladFilial .inputInner input').on('ifChecked', function() {
                    $(this).parents('.inputInner').children('.radioLabel').removeClass('checkedLabel');
                    $(this).parent('.iradio').next().addClass('checkedLabel');
                    var prnt = $(this).parents('.section');
                    $('.iconProgressSubmit', prnt).click();
                });
            })
        }
    }
    //Офис банка
    if ($(self).hasClass('getVkladFilial')) {
        $('.sectionHeading', self).text($('input[type=radio]:checked', self).val());
    }
    //Заключить комплексный договор?
    if ($(self).hasClass('getVkladComplex')) {
        $('.sectionHeading', self).text($('input[type=radio]:checked', self).val());
    }
    //Тип карты
    if ($(self).hasClass('getCardsCardType')) {
        $('.sectionHeading', self).text($('input[type=radio]:checked', self).val());
    }
    //Кредитный лимит
    if ($(self).hasClass('getCardLimit')) {
        $('.sectionHeading', self).text($('.inputWrapper .inputInner input', self).val());
    }
    //Валюта карты
    if ($(self).hasClass('getKardValute')) {
        $('.sectionHeading', self).text($('input[type=radio]:checked', self).val());
    }
    //Дата звонка
    if ($(self).hasClass('getVkladDateCall')) {
        $('.sectionHeading', self).text($('input[type=radio]:checked', self).val());
		var datecall = $('.sectionHeading', self).html();
		var pattern = /(\d{2})\.(\d{2})\.(\d{4})/;
		datecall = new Date(datecall.replace(pattern,'$3-$2-$1'));
		var datenow = new Date();
		if (!(datecall > datenow)) {
			$('.sectionHeading', self).parent().parent().parent().find('.getVkladTimeCall .inputInner .radioLabel').each(function() {
				var time_val = $(this).html();
				var dt = new Date();
				var res = time_val.split(":");
				dt.setHours(res[0]);
				dt.setMinutes(res[1]);
				if (dt < datenow) {
					$(this).hide();
				}
            });
		}
    }
    //Время звонка
    if ($(self).hasClass('getVkladTimeCall')) {
		$('.sectionHeading', self).text($('input[type=radio]:checked', self).val());
    }
    //Подключить интернет банк?
    if ($(self).hasClass('getVkladInternetBank')) {
        $('.sectionHeading', self).text($('input[type=radio]:checked', self).val());
    }
    //Сумма кредита
    if ($(self).hasClass('getCreditSumm')) {
        $('.sectionHeading', self).text(number_format($('.inputWrapper .inputInner input', self).val(), 0, '', ' ') + ' ' + declOfNum($('.inputWrapper .inputInner input', self).val(), ['рубль', 'рубля', 'рублей']));
    }
    //Способ получения
    if ($(self).hasClass('getCreditSposob')) {
        $('.sectionHeading', self).text($('input:checked', self).val());
    }
    //Комментарий
    if ($(self).hasClass('getVkladComment')) {
        if ($('.inputWrapper .inputInner input', self).val() != '')
            $('.sectionHeading', self).text($('.inputWrapper .inputInner input', self).val());
    }

//        //Фамилия менялась?
//        if($(self).hasClass('getCreditFamilyChange')){
//            $('.sectionHeading',self).text($('input:checked',self).val());
//            if($('input:checked',self).val()=='Фамилия менялась')
//                $(self).next().addClass('show');
//            else
//                $(self).next().removeClass('show');
//
//        }
//        //Предыдущая фамилия
//        if($(self).hasClass('lastFamily')){
//            $('.sectionHeading',self).text($('.inputWrapper .inputInner input',self).val());
//        }
}

function valdiationInput(self) {
    var annotations = $('.annotations', self);
    var currentFormResult = $(self).parents('form');

    //#########УЗНАТЬ СТАТУС ЗАЯВКИ#########
    if ($(self).hasClass('statusPhone')) {
        if (!/^\+\d{1} \d{3} \d{3} \d{2} \d{2}$/.test($('input', self).val())) {
            $('.alert bdo', annotations).text('Проверьте правильность ввода');
            return false;
        }
    }
    if ($(self).hasClass('codeInput')) {
        if ($('input', self).val().length < 6 || !/^\d+$/.test($('input', self).val())) {
            return false;
        }
    }

    //Кредит для физических лиц
    if ($('body').hasClass('bank_live get_credit')) {
        //сумма
        if ($(self).hasClass('getCreditSumm')) {
            if ($('input', self).val() == '' || $('input', self).val() * 1 < 2000 || !/^\d+$/.test($('input', self).val())) {
                $('.alert bdo', annotations).text('От 2 000 рублей');
                return false;
            }
        }
        //срок
        if ($(self).hasClass('getCreditSrok')) {
            if (!$('input[type=radio]:checked', self).val() || ($('#srokText').val() == '' && $('#radio_srok_3').is(':checked'))) {
                $('.alert bdo', annotations).text('Укажите срок кредита');
                return false;
            }
            if ($('#srokText').val() * 1 > 36 && $('#radio_srok_3').is(':checked')) {
                $('.alert bdo', annotations).text('До 36 месяцев');
                return false;
            }
        }
    }
    //Кредит для юридических лиц
    if ($('body').hasClass('bank_business get_credit anketa')) {
        //Сумма кредита
        if ($(self).hasClass('getCreditSumm')) {
            if ($('input', self).val() == '' || $('input', self).val() * 1 < 100000) {
                $('.alert bdo', annotations).text('От 100 000 рублей');
                return false;
            }
        }
        //Срок кредита
        if ($(self).hasClass('getCreditSrok')) {
            if ($('input', self).val() == '' || $('input', self).val() * 1 > 36 || $('input', self).val() * 1 < 1) {
                $('.alert bdo', annotations).text('До 36 месяцев');
                return false;
            }
        }
    }


    //УНИВЕРСАЛЬНАЯ ОБРАБОТКА ОДИНАКОВЫХ ПОЛЕЙ
    //радиосписки
    if ($(self).hasClass('simpleRadio'))
    {
        if (!$('input[type=radio]:checked', self).length) {
            return false;
        }
    }
    //E-mail
    if ($(self).hasClass('getCreditEmail') && $('input', self).val() != '') {
        if (!/^([a-z0-9_-]+\.)*[a-z0-9_-]+@[a-z0-9_-]+(\.[a-z0-9_-]+)*\.[a-z]{2,6}$/.test($('input', self).val().toLowerCase())) {
            return false;
        }
    }
    //ИП
    if ($(self).hasClass('getCreditOrgName')) {
        if ($('input', self).val() == '') {
            return false;
        }
    }
    //Фамилия
    if ($(self).hasClass('getCreditFamily')) {
        if (!/^[А-Яа-яЁё\s]+$/.test($('input', self).val())) {
            return false;
        }
    }
    //Имя
    if ($(self).hasClass('getCreditName')) {
        if (!/^[А-Яа-яЁё\s]+$/.test($('input', self).val())) {
            return false;
        }
    }
    //Отчество
    if ($(self).hasClass('getCreditSecName')) {
        if (!/^[А-Яа-яЁё\s]+$/.test($('input', self).val())) {
            return false;
        }
    }
    //Мобильный телефон
    if ($(self).hasClass('getCreditMobile')) {
        if (!/^\+\d{1} \d{3} \d{3} \d{2} \d{2}$/.test($('input', self).val())) {
            return false;
        }
    }
    //Дата рождения
    if ($(self).hasClass('getVkladBirthDate')) {
        var arr = $('input', self).val().split('.');
        if (arr[0] < 1 || arr[0] > 31) {
            $('.alert bdo', annotations).html('Укажите сначала <u>день</u>, затем месяц, а потом год вашего рождения.');
            return false;
        }
        if (arr[1] < 1 || arr[1] > 12) {
            $('.alert bdo', annotations).html('Укажите сначала день, затем <u>месяц</u>, а потом год вашего рождения.');
            return false;
        }
        if (arr[2] < 1900 || arr[2] > 2010) {
            $('.alert bdo', annotations).html('Укажите сначала день, затем месяц, а потом <u>год</u> вашего рождения.');
            return false;
        }
    }
    //Населенный пункт
    if ($(self).hasClass('getCreditCity')) {
        var e = 0;
        for (i = 0; i < autocompleteDataCity.length; i++) {
            var p = autocompleteDataCity[i];
            if (p.label.toLowerCase() == $('input', self).val().toLowerCase())
                e = 1;
        }
        if (e == 0)
            return false;
    }
    //Кредитный лимит
    if ($(self).hasClass('getCardLimit')) {
        if ($('input', self).val() < 100)
            return false;
    }
    //Количество сотрудников
    if ($(self).hasClass('getCardPersonalCount')) {
        if ($('input', self).val() == '') {
            return false;
        }
    }
    //Домашний телефон
    if ($(self).hasClass('getCreditHomePhone') && $('input', self).val() != '') {
        if ($('input', self).val().length < 10 || !/^\d+$/.test($('input', self).val())) {
            return false;
        }
    }
    //Прошлая фамилия
    //        if($(self).hasClass('lastFamily')){
    //            if(!/^[А-Яа-яЁё\s]+$/.test($('input',self).val())){
    //                return false;
    //            }
    //        }

    return true;




}


$(document).ready(function() {

    //#########РЕЗЮМЕ###########
    if ($('#resume').html()) {
        $('#getResumeSubmit').click(function(){
            $(this).hide();
            $('.loadingAnk').show();
            $.post("/scripts?mode=resume", $('#resume').serialize(), function(data) {
                if (data == 'valid') {
                    $('#resume,.lastFormData').hide();
                    $('.formResult').show();
                }
            });
            return false;
        });
        
        //ajax загрузка файлов
        var button = $('a.get-file');
        var xhr=$.ajax_upload(button, {
            action : '/scripts?mode=uploadResume',
            name : 'myfile',
            onSubmit : function(file, ext) {
                var formats = Array("pdf","doc","docx","pages","jpg","png","jpeg","odt","xls","xlsx","rtf","txt","zip","rar");
                if(!in_array(ext,formats)){
                    alert('Неверный формат файла!');
                    return false;
                }
                var nme = (file.length > 25) ? file.substr(0,15) + '...' + ((file).substr(-10)) : file;
                $('div.getFile').append('<span class="form-upload-file">'+nme+' <img src="/assets/theme/img/preloader.gif"><bdo class="x"></bdo></span>');
                this.disable();
            },
            onComplete : function(file, response) {
                $('div.getFile .annotations p').hide();
                $('.form-upload-file img').hide();
                this.enable();
            }
        });
    }

    //#########УЗНАТЬ СТАТУС ЗАЯВКИ#########

    $('.statusPhone .ProgressSubmit').unbind('click');
    $('.codeInput .ProgressSubmit').unbind('click');
    //    if($(self).hasClass('statusPhone')){
    //        $('.sectionHeading',self).text($('.inputWrapper .inputInner input',self).val());
    //
    //    }

    $('.statusPhone .ProgressSubmit').live("click",function() {
        var self = $(this).parents('.section');
        if (valdiationInput(self)) {
            $('.statusPhone .annotations .annotation').hide();
            $('.statusPhone .annotations .loading').show();
            //Высылаем код
            $.post('/scripts?mode=smsCode', {
                phone: $('input', self).val()
            }, function(data) {
                $('.statusPhone .annotations .annotation').hide();
                $('.statusPhone .annotations .query').show();
                if (data == 'sent') {
                    $('.sectionHeading', self).text($('.inputWrapper .inputInner input', self).val());
                    $(self).addClass('disabled validated').next().removeClass('disabled');
                    $('#codeSms').focus();
                }
                else {
                }
            });
        } else {
            errorOnInput(self);
        }
    });

    $('.retry').live("click",function() {
        $('.codeInput .annotations .annotation').hide();
        $('.codeInput .annotations .loading').show();
        $.get('/scripts?mode=retry', function(data) {
            $('.codeInput .annotations .annotation').hide();
            $('.codeInput .annotations .query').show();
        });
        return false;
    });

    $('.codeInput .ProgressSubmit').live("click",function() {
        var self = $(this).parents('.section');
        if (valdiationInput(self)) {
            $('.codeInput .annotations .annotation').hide();
            $('.codeInput .annotations .loading').show();
            $.post('/scripts?mode=getStatus', {
                code: $('input', self).val()
            }, function(data) {
                $('.codeInput .annotations .annotation').hide();
                $('.codeInput .annotations .query').show();
                if (data) {
                    var answ = JSON.parse(data);
                    if (answ.error) {
                        if (answ.error == 'Заявки отсутствуют или не правильно указан номер телефона') {
                            $('.formResult.badstatus').slideDown();
                        }
                        if (answ.error == 'Неверный код') {
                            $('.codeInput .alert bdo').html('Неверный код');
                            errorOnInput($('.codeInput'));
                        }
                    }
                    else {
                        $('.statusInfo .wrapper990').html(answ.data);
                        $('.statusInfo').show();
                        $('.formResult.badstatus').hide();
                    }
                }
            });
        }
        else {
            errorOnInput(self);
        }


    });

    $('.formResult.badstatus p span').live("click",function() {
        $('#codeSms').val('');
        $('.codeInput .annotations .annotation').hide();
        $('.codeInput .annotations .query').hide();
        $('.codeInput').addClass('disabled');
        $('.statusPhone').removeClass('disabled validated');
        $('.statusPhone input').val("").unmask().mask("+7 999 999 99 99", {
            placeholder: ""
        }).focus();
        $('.formResult.badstatus').hide();

    });



    //####### Взять кредит ФЛ ########
    if ($('body').hasClass('bank_live get_credit anketa')) {

        //Кредит для жизни. Оформить 1 шаг.
        $('#getCreditStep1Submit a').click(function() {
            if ($('#getCreditStep1Submit').hasClass('dsbld')) {
                errorOnInput('.getCreditCel');
                return false;
            }
            $.post("/scripts?mode=getCredit1", $('#bank_live_get_credit_step1').serialize(), function(data) {
                var answ = JSON.parse(data);
                $(".step2 #rbl").text(number_format(answ.summ, 0, '', ' ') + ' ' + declOfNum(answ.summ, ['рубль', 'рубля', 'рублей']));
                $(".step2 #srk").text(answ.srok);
                $(".step1").hide();
                $(".step2").show();
                $(".step2 .section:first").removeClass('disabled');

            });
            return false;
        });

        $('.backToForm').click(function() {
            $('.step2,.step1').toggle();
            return false;
        });
        //Кредит для жизни. Оформить 2 шаг.
        $('#getCreditStep2Submit').click(function() {
            $(this).hide();
            $('.loadingAnk').show();
            $.post("/scripts?mode=liveCreditStep2", $('#bank_live_get_credit_step2').serialize(), function(data) {
                if (data == 'valid') {
                    location.href = "/individual-credit-done";
                }
            });
            return false;
        });


        //Автокомплит городов
        $('.section.getCreditCity input').autocomplete({
            source: autocompleteDataCity,
            appendTo: "#autocompleteDataCityResult",
            delay: 0,
            position: {
                my: "left top"
            }
        });
    }

    //####### Взять кредит ФЛ сплит ########
    if ($('body').hasClass('bank_live get_credit split anketa')) {
        //Кредит для жизни. Сплит 2.
        $('#getCreditStep2Submit').click(function() {
            $(this).hide();
            $('.loadingAnk').show();
            $.post("/scripts?mode=liveCreditSplit", $('#bank_live_get_credit').serialize(), function(data) {
                if (data == 'valid') {
                    location.href = "/individual-credit-done";
                }
            });
            return false;
        });
    }
    if ($('body').hasClass('bank_business get_credit anketa')) {
        //Кредит для юрлиц. Оформить 1 шаг.
        $('#getCreditStep1Submit a').click(function() {
            if ($(this).hasClass('dsbld'))
                return false;
            $.post("/scripts?mode=getBusinessCredit1", $('#bank_live_get_credit_step1').serialize(), function(data) {
                var answ = JSON.parse(data);
                $(".step2 #rbl").text(number_format(answ.summ, 0, '', ' ') + ' ' + declOfNum(answ.summ, ['рубль', 'рубля', 'рублей']));
                $(".step2 #srk").text(answ.srok);
                $(".step1").hide();
                $(".step2").show();
                $(".step2 .section:first").removeClass('disabled');
                $('input[name=postSrok]').val($('#bank_live_get_credit_step1 input[name=srok]').val());
                $('input[name=postSumm]').val($('#bank_live_get_credit_step1 input[name=summ]').val());
            });

            var summ = $('.getCreditSumm input[name=summ]').val();
            if (summ > 1500000)
                summ = 'after';
            else
                summ = 'before';
            $.post('/scripts?mode=getCitiesJsonForProduct', {summ: summ}, function(data) {
                autocompleteDataCity = JSON.parse(data);
                $('.section.getCreditCity input').autocomplete({
                    source: autocompleteDataCity,
                    appendTo: "#autocompleteDataCityResult",
                    delay: 0,
                    position: {
                        my: "left top"
                    }
                });
                var cityName = $('.section.getCreditCity input').val();
                var i = 0;
                for (e in autocompleteDataCity) {
                    if (autocompleteDataCity[e].label == cityName)
                        i = 1;
                }
                if (i == 0) {
                    $('.section.getCreditCity input').val('');
                    $('#errorCity .query').hide();
                    $('#errorCity .alert').show();
                    $('#errorCity .alert u').text('К сожалению, мы не можем предоставить выбранную услугу в вашем населённом пункте. Для получения услуги выберите наиболее удобный пункт из списка.');
                }
            });

            return false;
        });
        $('.backToForm').click(function() {
            $('.step2,.step1').toggle();
            return false;
        });

        //Автокомплит городов
        $('.section.getCreditCity input').autocomplete({
            source: autocompleteDataCity,
            appendTo: "#autocompleteDataCityResult",
            delay: 0,
            position: {
                my: "left top"
            }
        });

        //Кредит для юл. Оформить 2 шаг.
        $('#getCreditStep2Submit').click(function() {
            $(this).hide();
            $('.loadingAnk').show();
            $.post("/scripts?mode=corpCreditStep2", $('#bank_live_get_credit_step2').serialize(), function(data) {
                if (data == 'valid') {
                    location.href = "/corporate-credit-done";
                }
            });
            return false;
        });

    }

    //#########ВКЛАД ДЛЯ Ф ЛИЦ###########
    if ($('body').hasClass('bank_open_vklad  bank_live anketa')) {
        $('.section.getCreditCity input').autocomplete({
            source: autocompleteDataCity,
            appendTo: "#autocompleteDataCityResult",
            delay: 0,
            position: {
                my: "left top"
            }
        });
        var cityName = $('.section.getCreditCity input').val();
        var i = 0;
        for (e in autocompleteDataCity) {
            if (autocompleteDataCity[e].label == cityName)
                i = 1;
        }
        if (i == 0) {
            $('.section.getCreditCity input').val('');
            $('#errorCity .query').hide();
            $('#errorCity .alert').show();
            $('#errorCity .alert u').text('К сожалению, мы не можем предоставить выбранную услугу в вашем населённом пункте. Для получения услуги выберите наиболее удобный пункт из списка.');
        }
        $('#getCreditStep2Submit').click(function() {
            if ($(this).hasClass('disabled'))
                return false;
            $(this).hide();
            $('.loadingAnk').show();
            $.post("/scripts?mode=fizVklad", $('#bank_live_get_credit_step2').serialize(), function(data) {
                if (data == 'valid') {
                    location.href = "/individual-vklady-done";
                }
            });
            return false;
        });

    }
    //#########ВКЛАД ДЛЯ ЮЛ###########
    if ($('body').hasClass('bank_open_vklad  bank_business anketa')) {
        $('.section.getCreditCity input').autocomplete({
            source: autocompleteDataCity,
            appendTo: "#autocompleteDataCityResult",
            delay: 0,
            position: {
                my: "left top"
            }
        });
        var cityName = $('.section.getCreditCity input').val();
        var i = 0;
        for (e in autocompleteDataCity) {
            if (autocompleteDataCity[e].label == cityName)
                i = 1;
        }
        if (i == 0) {
            $('.section.getCreditCity input').val('');
            $('#errorCity .query').hide();
            $('#errorCity .alert').show();
            $('#errorCity .alert u').text('К сожалению, мы не можем предоставить выбранную услугу в вашем населённом пункте. Для получения услуги выберите наиболее удобный пункт из списка.');
        }
        
        $('#getCreditStep2Submit').click(function() {
            $(this).hide();
            $('.loadingAnk').show();
            $.post("/scripts?mode=urVklad", $('#bank_live_get_credit_step2').serialize(), function(data) {
                if (data == 'valid') {
                    location.href = "/corporate-deposit-done";
                }
            });
            
            return false;
        });
        
/*         $('#getCreditStep2Submit').click(function() {
            if ($(this).hasClass('disabled'))
                return false;
            $(this).hide();
            $('.loadingAnk').show();
            $.post("/scripts?mode=urVklad", $('#bank_live_get_credit_step2').serialize(), function(data) {
                if (data == 'valid') {
                    location.href = "/individual-vklady-done";
                }
            });
            return false;
        }); */
    }
	
	
    //#########ДЕБЕТОВЫЕ КАРТЫ ДЛЯ ФЛ###########
    if ($('body').hasClass('bank_live cards_page debet anketa')) {
        //Выбираем карту, если выбрали на прошлом шаге
		var pageurl = window.location.search.substring(1);
		var getvars = pageurl.split('=');
		if(getvars[0] == 'card') get_card = decodeURIComponent(getvars[1]);
        if (get_card != '') {
            //console.log(location.hash.substr(1));
            $('.getCardsCardType input').each(function() {
                if ($(this).val() == get_card.replace("%20", " ")) {
                    $(this).iCheck('check');
                }
            });
        }

        $('.section.getCreditCity input').autocomplete({
            source: autocompleteDataCity,
            appendTo: "#autocompleteDataCityResult",
            delay: 0,
            position: {
                my: "left top"
            }
        });
        var cityName = $('.section.getCreditCity input').val();
        var i = 0;
        for (e in autocompleteDataCity) {
            if (autocompleteDataCity[e].label == cityName)
                i = 1;
        }
        if (i == 0) {
            $('.section.getCreditCity input').val('');
            $('#errorCity .query').hide();
            $('#errorCity .alert').show();
            $('#errorCity .alert u').text('К сожалению, мы не можем предоставить выбранную услугу в вашем населённом пункте. Для получения услуги выберите наиболее удобный пункт из списка.');
        }
        $('#getCreditStep2Submit').click(function() {
            $(this).hide();
            $('.loadingAnk').show();
            $.post("/scripts?mode=debet", $('#bank_live_get_credit_step2').serialize(), function(data) {
                if (data == 'valid') {
                    location.href = "/individual-debetovye-karty-done";
                }
            });
            return false;
        });
    }

    //#########КРЕДИТНЫЕ КАРТЫ ДЛЯ ФЛ###########
    if ($('body').hasClass('bank_live cards_page kredit anketa')) {
        //Выбираем карту, если выбрали на прошлом шаге
		var pageurl = window.location.search.substring(1);
		var getvars = pageurl.split('=');
		if(getvars[0] == 'card') get_card = decodeURIComponent(getvars[1]);
        if (get_card != '') {
            $('.getCardsCardType input').each(function() {
                if ($(this).val() == get_card.replace("%20", " ")) {
                    $(this).iCheck('check');
                }
            });
        }
        $('.section.getCreditCity input').autocomplete({
            source: autocompleteDataCity,
            appendTo: "#autocompleteDataCityResult",
            delay: 0,
            position: {
                my: "left top"
            }
        });
        $('#getCreditStep2Submit').click(function() {
            $(this).hide();
            $('.loadingAnk').show();
            $.post("/scripts?mode=creditCard", $('#bank_live_get_credit_step2').serialize(), function(data) {
                if (data == 'valid') {
                    location.href = "/individual-kreditnaya-karta-done";
                }
            });
            return false;
        });
    }
    //#########ИНТЕРНЕТ БАНК ДЛЯ ФЛ###########
    if ($('body').hasClass('other_pages others_mobile bank_live internetBank')) {
        $('.section.getCreditCity input').autocomplete({
            source: autocompleteDataCity,
            appendTo: "#autocompleteDataCityResult",
            delay: 0,
            position: {
                my: "left top"
            }
        });
        var cityName = $('.section.getCreditCity input').val();
        var i = 0;
        for (e in autocompleteDataCity) {
            if (autocompleteDataCity[e].label == cityName)
                i = 1;
        }
        if (i == 0) {
            $('.section.getCreditCity input').val('');
            $('#errorCity .query').hide();
            $('#errorCity .alert').show();
            $('#errorCity .alert u').text('К сожалению, мы не можем предоставить выбранную услугу в вашем населённом пункте. Для получения услуги выберите наиболее удобный пункт из списка.');
        }
        $('#getCreditStep2Submit').click(function() {
            $(this).hide();
            $('.loadingAnk').show();
            $.post("/scripts?mode=iBankLife", $('#bank_live_get_credit_step2').serialize(), function(data) {
                if (data == 'valid') {
                    location.href = "/individual-internet-bank-done";
                }
            });

            return false;
        });
    }
    //#########ИНТЕРНЕТ БАНК ДЛЯ ЮЛ###########
    if ($('body').hasClass('other_pages for_biz others_mobile bank_business anketa')) {
        $('.section.getCreditCity input').autocomplete({
            source: autocompleteDataCity,
            appendTo: "#autocompleteDataCityResult",
            delay: 0,
            position: {
                my: "left top"
            }
        });
        $('#getCreditStep2Submit').click(function() {
            $(this).hide();
            $('.loadingAnk').show();
            $.post("/scripts?mode=iBankBusiness", $('#bank_live_get_credit_step2').serialize(), function(data) {
                if (data == 'valid') {
                    location.href = "/corporate-internet-bank-done";
                }
            });
            return false;
        });
    }
    //#########ЗАЯВКА НА ОТКРЫТИЕ И ВЕДЕНИЕ СЧЕТА###########
    if ($('body').hasClass('cards_page bank_business anketarko')) {
        $('#getCreditStep2Submit').click(function() {
            $(this).hide();
            $('.loadingAnk').show();
            $.post("/scripts?mode=rko", $('#bank_live_get_credit_step2').serialize(), function(data) {
                if (data == 'valid') {
                    location.href = "/corporate-rasschetno-kassovoe-obsluzhivanie-done";
                }
            });
            return false;
        });
        $('.section.getCreditCity input').autocomplete({
            source: autocompleteDataCity,
            appendTo: "#autocompleteDataCityResult",
            delay: 0,
            position: {
                my: "left top"
            }
        });
        var cityName = $('.section.getCreditCity input').val();
        var i = 0;
        for (e in autocompleteDataCity) {
            if (autocompleteDataCity[e].label == cityName)
                i = 1;
        }
        if (i == 0) {
            $('.section.getCreditCity input').val('');
            $('#errorCity .query').hide();
            $('#errorCity .alert').show();
            $('#errorCity .alert u').text('К сожалению, мы не можем предоставить выбранную услугу в вашем населённом пункте. Для получения услуги выберите наиболее удобный пункт из списка.');
        }
    }

    //#########ЗАЯВКА НА ЗАРПЛАТНЫЙ ПРОЕКТ###########
    if ($('body').hasClass('cards_page bank_business anketazpp')) {
        $('#getCreditStep2Submit').click(function() {
            $(this).hide();
            $('.loadingAnk').show();
            $.post("/scripts?mode=zarp", $('#bank_live_get_credit_step2').serialize(), function(data) {
                if (data == 'valid') {
                    location.href = "/corporate-zarplatnaya-karta-done";
                }
            });

            return false;
        });
        
        $('.section.getCreditCity input').autocomplete({
            source: autocompleteDataCity,
            appendTo: "#autocompleteDataCityResult",
            delay: 0,
            position: {
                my: "left top"
            }
        });
        var cityName = $('.section.getCreditCity input').val();
        var i = 0;
        for (e in autocompleteDataCity) {
            if (autocompleteDataCity[e].label == cityName)
                i = 1;
        }
        if (i == 0) {
            $('.section.getCreditCity input').val('');
            $('#errorCity .query').hide();
            $('#errorCity .alert').show();
            $('#errorCity .alert u').text('К сожалению, мы не можем предоставить выбранную услугу в вашем населённом пункте. Для получения услуги выберите наиболее удобный пункт из списка.');
        }
        
        
    }

    //#########ЗАЯВКА НА КОРПОРАТИВНУЮ КАРТУ###########
    if ($('body').hasClass('cards_page bank_business corpCards')) {
        $('#getCreditStep2Submit').click(function() {
            $(this).hide();
            $('.loadingAnk').show();
            $.post("/scripts?mode=corpCards", $('#bank_live_get_credit_step2').serialize(), function(data) {
                if (data == 'valid') {
                    location.href = "/corporate-korporativnaya-karta-done";
                }
            });

            return false;
        });
        
        $('.section.getCreditCity input').autocomplete({
            source: autocompleteDataCity,
            appendTo: "#autocompleteDataCityResult",
            delay: 0,
            position: {
                my: "left top"
            }
        });
        var cityName = $('.section.getCreditCity input').val();
        var i = 0;
        for (e in autocompleteDataCity) {
            if (autocompleteDataCity[e].label == cityName)
                i = 1;
        }
        if (i == 0) {
            $('.section.getCreditCity input').val('');
            $('#errorCity .query').hide();
            $('#errorCity .alert').show();
            $('#errorCity .alert u').text('К сожалению, мы не можем предоставить выбранную услугу в вашем населённом пункте. Для получения услуги выберите наиболее удобный пункт из списка.');
        }
    }

    $('#kredit_personalInfoUse').on('ifChecked', function() {
        var p = $(this).parents('.section');
        $('.ProgressSubmit', p).click();
    });

    $('.section.submit').click(function() {
        $('a', this).click();
    });

});

var sending = 0;

var test;




